import { AppProvider } from '../../../_shared/domain/models/app-provider';
import { AppModule } from '../../../_shared/domain/models/app-module';
import type { AuthModule } from '../../../auth/auth-module';
export default class AuthServiceProvider implements AppProvider {
    private core;
    private module;
    constructor(core: AppModule, module: AuthModule);
    get type(): "service";
    services(): Record<string, InstanceType<any>>;
}
